All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services
Class ServiceConfigurationException

    com.sas.services.ServiceConfigurationException

All Implemented Interfaces:
  com.sas.util.ChainedExceptionInterface, java.io.Serializable

    public class ServiceConfigurationException

Exception used to indicate an issue with an invalid service configuration.

Since:
  1.1.3
See Also:
  Serialized Form

Constructor Summary
`ServiceConfigurationException(java.lang.String msg)` Constructs an exception using the specified message.
`ServiceConfigurationException(java.lang.Throwable cause)` Constructs an exception using the specified throwable that caused the failure.
`ServiceConfigurationException(java.lang.Throwable cause, java.lang.String msg)` Constructs an exception using the specified message.

Constructor Detail

### ServiceConfigurationException

    public ServiceConfigurationException(java.lang.String msg)

  Constructs an exception using the specified message.

  Parameters:
    `msg` - Message detailing the service configuration exception.

### ServiceConfigurationException

    public ServiceConfigurationException(java.lang.Throwable cause)

  Constructs an exception using the specified throwable that caused the failure.

  Parameters:
    `cause` - The throwable that prompted this exception.

### ServiceConfigurationException

    public ServiceConfigurationException(java.lang.Throwable cause,
                                         java.lang.String msg)

  Constructs an exception using the specified message.

  Parameters:
    `cause` - The throwable that prompted this exception.
    `msg` - Message detailing the service configuration exception.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.